Skip to content
GET/{organizationId}/{mandateId}/donation/donations/{donationId}

Get donation

Returns a specific donation with all of its details for a given mandate

Required permissions:

  • mandate.read

  • donation.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
donationIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/donation/donations/{donationId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/donation/donations/{donationId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

ObjectId as string

numberstringrequired

minLength: 1

numberSortnumber | nullrequired

Additional properties are not allowed.

minItems: 1

confirmationSendMethodstringrequired

Options:

noneemailpostal
confirmationFilestringrequired
confirmationFileNamestringrequired

Additional properties are not allowed.

revokedAtdate-time | nullrequired

Response

200
{
  "_id": "000000000000000000000001",
  "mandate": "000000000000000000000001",
  "number": "string",
  "numberSort": 1,
  "donator": {
    "name": "string",
    "nameNormalized": "string",
    "nameSort": "string",
    "address": {
      "country": "string",
      "zip": "string",
      "city": "string",
      "addressLine": "string"
    },
    "email": "",
    "account": 1
  },
  "receiptNumbers": [
    "string"
  ],
  "positions": [
    {
      "type": "cash",
      "value": 1,
      "date": "string",
      "description": "string"
    }
  ],
  "confirmationSendMethod": "none",
  "confirmationFile": "string",
  "confirmationFileName": "string",
  "confirmationDispatchStatus": {
    "openedAt": "2026-06-15T22:30:00Z",
    "sentAt": "2026-06-15T22:30:00Z",
    "dispatchedBy": {
      "name": "string",
      "type": "user",
      "userId": "string",
      "image": {
        "resource": "string"
      }
    },
    "sendStatus": "none",
    "sendError": "NO_CREDITS_ENOUGH",
    "sendPrice": 1
  },
  "revokedAt": "2026-06-15T22:30:00Z"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}